org.apache.ignite.internal.visor.igfs

## Class VisorIgfsEndpoint

- java.lang.Object
- - org.apache.ignite.internal.visor.igfs.VisorIgfsEndpoint

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorIgfsEndpoint
    extends Object
    implements Serializable, LessNamingBean

IGFS endpoint descriptor.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsEndpoint(String igfsName, String gridName, String hostName, int port)` Create IGFS endpoint descriptor with given parameters.

### Method Summary

Methods
`String` `authority()`
`String` `gridName()`
`String` `hostName()`
`String` `igfsName()`
`int` `port()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsEndpoint

    public VisorIgfsEndpoint(@Nullable
                     String igfsName,
                     String gridName,
                     @Nullable
                     String hostName,
                     int port)

Create IGFS endpoint descriptor with given parameters.

Parameters:
  `igfsName` - IGFS name.
  `gridName` - Grid name.
  `hostName` - Host address / name.
  `port` - Port number.

### Method Detail

#### igfsName

    @Nullable
    public String igfsName()

Returns:
  IGFS name.

#### gridName

    public String gridName()

Returns:
  Grid name.

#### hostName

    @Nullable
    public String hostName()

Returns:
  Host address / name.

#### port

    public int port()

Returns:
  Port number.

#### authority

    public String authority()

Returns:
  URI Authority

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017